Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 178064 - Maven project with persistence references a non-FCS version of EclipseLink
Maven project with persistence references a non-FCS version of EclipseLink
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Sergey Petrov
issues@javaee
68patch1-verified
:
Depends on:
Blocks: 177500
  Show dependency treegraph
 
Reported: 2009-12-03 04:01 UTC by Petr Jiricka
Modified: 2010-01-19 08:26 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-12-03 04:01:26 UTC
1. Create a Maven Java EE 6 web application
2. Create an Entity class - while going through the wizard, create a persistence unit with EclipseLink 2.0 as the provider.
3. Open pom.xml

You will see that EclipseLink was added with version 2.0.0-RC1 (non-final).

        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>eclipselink</artifactId>
            <version>2.0.0-RC1</version>
        </dependency>

This can not be fixed for NB 6.8 FCS as EL 2.0 final is not available, but should be fixed in 6.8 patch
Comment 1 Sergey Petrov 2009-12-07 03:38:46 UTC
It will mean maven project may contain final eclipselink jars if server is set after pu creation when jee/j2se projects will contain rc1.
May different versions in maven project and on gf3 side cause problems also?
(if gf3 will use rc1 and will not include eclipselink final in some patch)
Comment 2 Petr Jiricka 2009-12-11 02:43:00 UTC
EclipseLink 2.0 has been released, it seems to be the same build as RC1 (20091127-r5931). So we don't need to worry about the bits themselves; the only thing that should change is the Maven URL: http://ftp.ing.umu.se/mirror/eclipse/rt/eclipselink/maven.repo/org/eclipse/persistence/eclipselink/2.0.0/
Comment 3 Sergey Petrov 2009-12-11 04:37:59 UTC
thanks,
updated http://hg.netbeans.org/web-main/rev/44e4d4f8c5e5
Comment 4 Sergey Petrov 2009-12-11 04:39:52 UTC
mark as fixed in 6.9 for now
Comment 5 Quality Engineering 2009-12-11 20:53:45 UTC
Integrated into 'main-golden', will be available in build *200912111937* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/44e4d4f8c5e5
User: sj-nb@netbeans.org
Log: fix #178064 - changed eclipselink.jar url
Comment 6 Martin Schovanek 2010-01-12 04:43:29 UTC
v.
Comment 7 pgebauer 2010-01-14 03:55:35 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/ad880d46d894


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo